--- /dev/null	Thu Apr  2 18:43:04 2015
+++ new/usr/src/test/libc-tests/cfg/symbols/locale_h.cfg	Thu Apr  2 18:43:04 2015
@@ -0,0 +1,64 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2015 Garrett D'Amore <garrett@damore.org>
+#
+
+#
+# Definitions found in locale.h
+#
+
+#
+# Types.
+#
+type |	locale_t	| locale.h | -ALL SUSv4+
+type |	struct lconv	| locale.h | ALL
+
+#
+# Values.
+#
+value |	LC_CTYPE		| int		| locale.h | ALL
+value | LC_COLLATE		| int		| locale.h | ALL
+value | LC_TIME			| int		| locale.h | ALL
+value | LC_NUMERIC		| int		| locale.h | ALL
+value |	LC_MONETARY		| int		| locale.h | ALL
+value |	LC_MESSAGES		| int		| locale.h | ALL
+value |	LC_GLOBAL_LOCALE	| locale_t	| locale.h | -ALL SUSv4+
+value |	NULL			| void *	| locale.h | ALL
+
+#
+# Functions
+#
+func |	duplocale							|\
+	locale_t							|\
+	locale_t							|\
+	locale.h | -ALL SUSv4+
+
+func |	newlocale							|\
+	locale_t							|\
+	int; const char *; locale_t					|\
+	locale.h | -ALL SUSv4+
+
+func |	freelocale							|\
+	void								|\
+	locale_t							|\
+	locale.h | -ALL SUSv4+
+
+func |	localeconv							|\
+	struct lconv *							|\
+	void								|\
+	locale.h | ALL
+
+func |	setlocale							|\
+	char *								|\
+	int; const char *						|\
+	locale.h | ALL
